Skip to main content
GET
/
projects
/
{projectId}
/
warehouse-sources
/
imports
List all warehouse imports
curl --request GET \
  --url https://{regionAndDomain}.com/api/app/projects/{projectId}/warehouse-sources/imports \
  --header 'Authorization: Basic <encoded-value>'
{
  "status": "ok",
  "results": [
    {
      "id": 123,
      "created": "2023-11-07T05:31:56Z",
      "creator_id": 123,
      "creator_name": "<string>",
      "creator_email": "<string>",
      "warehouse_source_id": 123,
      "table_params": {},
      "paused": true,
      "last_dispatch": 123,
      "is_deleted": true
    }
  ]
}

Authorizations

Authorization
string
header
required

Service Account

Path Parameters

projectId
integer
required

Your project id (eg: 12345)

Response

Success

status
enum<string>

"ok" if the request succeeded, "error" otherwise.

Available options:
ok
Example:

"ok"

results
object[]